using Unity.Lifetime;
using Unity;
using ProjectTourismCompany.Repositories;
using ProjectTourismCompany.Repositories.Implementations;
using ProjectTourismCompany;

internal static class Program
{
    /// <summary>
    /// The main entry point for the application.
    /// </summary>
    [STAThread]
    static void Main()
    {

        ApplicationConfiguration.Initialize();
        Application.Run(CreateContainer().Resolve<FormTourismCompany>());
    }
    private static IUnityContainer CreateContainer()
    {
        var container = new UnityContainer();
        container.RegisterType<ICheckRepository, CheckRepository>(new TransientLifetimeManager());
        container.RegisterType<IClientRepository, ClientRepository>(new TransientLifetimeManager());
        container.RegisterType<ICompanyRepository, CompanyRepository>(new TransientLifetimeManager());
        container.RegisterType<ICountryRepository, CountryRepository>(new TransientLifetimeManager());
        container.RegisterType<ITripRepository, TripRepository>(new TransientLifetimeManager());

        return container;
    }
}
